summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2002-06-13 11:52:25 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2002-06-13 11:52:25 (GMT)
commitb120a34aead01d000e13652983c99160577b2984 (patch)
treec13208aeb8fbf4608fd6c41ae87f09dfb486a61a
parent8a3ebf45bcee17a5ff76fd89be667b282f3046af (diff)
downloadhdf5-b120a34aead01d000e13652983c99160577b2984.zip
hdf5-b120a34aead01d000e13652983c99160577b2984.tar.gz
hdf5-b120a34aead01d000e13652983c99160577b2984.tar.bz2
[svn-r5622] Purpose:
feature Description: Removed the search of HDF4 library specifically. Replaced the locate_hdf4 with a more general locate_sw. Added the search of zlib. Platforms tested: eirene and all hdf group machines.
-rwxr-xr-xbin/runtest21
-rwxr-xr-xbin/snapshot31
2 files changed, 27 insertions, 25 deletions
diff --git a/bin/runtest b/bin/runtest
index ec01934..12b5de7 100755
--- a/bin/runtest
+++ b/bin/runtest
@@ -310,17 +310,18 @@ RUNSNAPTEST()
done
[ $retcode -ne 0 ] && errcode=$retcode && return $retcode
- # Track down the HDF4 software
- ans=`$SNAPYARD/current/bin/locate_hdf4`
- H4_SW=`echo $ans | cut -f1 -d' '`
- H4_BIN=`echo $ans | cut -f2 -s -d' '`
- if [ -n "$H4_SW" ]; then
- SNAPCMD_OPT="$SNAPCMD_OPT hdf4 $H4_SW"
- fi
- if [ -n "$H4_BIN" ]; then
- PATH=${PATH}:${H4_BIN}
+ # Track down the zlib software
+ ans=`$SNAPYARD/current/bin/locate_sw zlib`
+ if [ $? = 0 ]; then
+ Z_INC=`echo $ans | cut -f1 -d,`
+ Z_LIB=`echo $ans | cut -f2 -d,`
+ SNAPCMD_OPT="$SNAPCMD_OPT zlib $Z_INC,$Z_LIB"
+ else
+ # cannot locate zlib software.
+ # continue the test, maybe configure can find it.
+ :
fi
-
+
if [ -n "${SRCDIRNAME}" ]; then
SNAPCMD_OPT="$SNAPCMD_OPT srcdirname ${SRCDIRNAME}"
fi
diff --git a/bin/snapshot b/bin/snapshot
index 7ee490e..7841501 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -34,10 +34,11 @@ PATH="/usr/local/bin:$PATH"
ARCHIVES_default=/afs/ncsa/ftp/HDF/pub/outgoing/hdf5/snapshots
ARCHIVES=$ARCHIVES_default
-# Where are the HDF4 library?
-# At NCSA, the standard place to find HDF4 software is in /usr/ncsa/.
-HDF4LIB_default="/usr/ncsa/include,/usr/ncsa/lib"
-HDF4LIB=$HDF4LIB_default
+# Where is the zlib library?
+# At NCSA, half of the machines have it in /usr/lib, the other half at
+# /usr/ncsa/lib. Leave it unset.
+ZLIB_default=
+ZLIB=$ZLIB_default
# What compression methods to use?
METHODS="gzip bzip2"
@@ -99,15 +100,15 @@ while [ $# -gt 0 ] ; do
cmd="help"
break
;;
- hdf4)
+ zlib)
shift
if [ $# -lt 1 ]; then
- echo "HDF4LIB information missing"
+ echo "ZLIB information missing"
errcode=1
cmd="help"
break
fi
- HDF4LIB="$1"
+ ZLIB="$1"
;;
archive)
shift
@@ -146,7 +147,7 @@ if [ "$cmd" = help ]; then
set -
cat <<EOF
Usage: $0 [all] [checkout] [diff] [test] [srcdir] [release] [help]
- [hdf4 <hdf4lib_path>] [archive <arch_path>] [dir <dir>]
+ [zlib <zlib_path>] [archive <arch_path>] [dir <dir>]
[op-configure <option>] [--<option>]
all: Run all commands (checkout, test & release)
[Default is all]
@@ -166,9 +167,9 @@ Usage: $0 [all] [checkout] [diff] [test] [srcdir] [release] [help]
E.g., "snapshot srcdir srcdirname -xx" uses hostname-xx
[Default is hostname]
help: Print this message
- hdf4 <hdf4lib_path>:
- Use <hdf4lib_path> as the HDF4LIB locations
- [Default is $HDF4LIB_default]
+ zlib <zlib_path>:
+ Use <zlib_path> as the ZLIB locations
+ [Default is $ZLIB_default]
archive <arch_path>:
Use <arch_path> as the release ARCHIVE area
[Default is $ARCHIVES_default]
@@ -184,10 +185,10 @@ EOF
exit $errcode
fi
-# Setup the proper configure option (--with-hdf4) to use hdf4 library
-# provide HDF4LIB is non-empty.
-HDF4LIB=${HDF4LIB:+"--with-hdf4="$HDF4LIB}
-CONFIGURE="./configure $HDF4LIB $OP_CONFIGURE"
+# Setup the proper configure option (--with-zlib) to use zlib library
+# provide ZLIB is non-empty.
+ZLIB=${ZLIB:+"--with-zlib="$ZLIB}
+CONFIGURE="./configure $ZLIB $OP_CONFIGURE"
# Execute the requests
snapshot=yes